Bug 797222 (CVE-2012-0866) - CVE-2012-0866 postgresql: Absent permission checks on trigger function to be called when creating a trigger
Summary: CVE-2012-0866 postgresql: Absent permission checks on trigger function to be ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0866
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 797918 812070 812071 812077 812078 812081 812082
Blocks: 797940
TreeView+ depends on / blocked
 
Reported: 2012-02-24 15:43 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-21 18:15:58 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0677 0 normal SHIPPED_LIVE Moderate: postgresql security update 2012-05-21 18:10:19 UTC
Red Hat Product Errata RHSA-2012:0678 0 normal SHIPPED_LIVE Moderate: postgresql and postgresql84 security update 2012-05-21 18:55:57 UTC

Description Jan Lieskovsky 2012-02-24 15:43:16 UTC
An absent permission check flaw was found in the way PostgreSQL performed creation of triggers (CREATE TRIGGER clause), defined to execute function by trigger invocation. An unprivileged database user could use this flaw to associate trigger function of their choose to their own table and thus cause such function to be called on the data of their choosing, even when that function had previously revoked access privileges to the attacker's PostgreSQL role.

Comment 2 Jan Lieskovsky 2012-02-24 15:46:15 UTC
This issue affects the versions of the postgresql and postgresql84 packages, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the postgresql package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the postgresql package, as shipped with Fedora release of 15 and 16.

Comment 4 Jan Lieskovsky 2012-02-27 14:25:18 UTC
Public via:
http://www.postgresql.org/support/security/

Comment 5 Jan Lieskovsky 2012-02-27 14:32:03 UTC
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 797918]

Comment 6 Fedora Update System 2012-03-06 20:40:34 UTC
postgresql-9.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-08 04:00:58 UTC
postgresql-9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-08 04:51:39 UTC
postgresql-9.0.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-03-08 04:53:57 UTC
postgresql-9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2012-05-21 14:55:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0677 https://rhn.redhat.com/errata/RHSA-2012-0677.html

Comment 14 errata-xmlrpc 2012-05-21 15:09:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0678 https://rhn.redhat.com/errata/RHSA-2012-0678.html


Note You need to log in before you can comment on or make changes to this bug.